<?xml version="1.0" encoding="utf-8" ?>
<configuration>
	<system.runtime.remoting>
		<application name="NetVRServer">
			<service>
				<!-- Set the activcation mode,remotable object and its URL -->
				<wellknown mode="Singleton" 
				    type="NetVRServerLib.NetVRServer, NetVRServer"
				    objectUri="NetVR.rem" />
			</service>
			<channels>				
				<channel ref="tcp" port="8003" priority="2">
					<serverProviders>
						<provider type="EncryptionSink.EncryptionServerSinkProvider, EncryptionSink" />
						<formatter ref="binary" />
					</serverProviders>	
				</channel>			
				<channel ref="http" port="80" priority="1">				
					<serverProviders>
						<provider type="EncryptionSink.EncryptionServerSinkProvider, EncryptionSink" />
						<formatter ref="binary"/>
					</serverProviders>	
				</channel>			
			</channels>
		</application>
		<customErrors mode="off" />
	</system.runtime.remoting>
</configuration>
